Debian Bug report logs - #263109
manpages-dev: scanf's manpage is wrong about the p flag

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Olivier Guilyardi <ylf@xung.org>

Date: Tue, 3 Aug 2004 01:03:01 UTC

Severity: normal

Tags: fixed-upstream, help

Found in version 1.67-2

Fixed in version manpages/2.04-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263109; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Olivier Guilyardi <ylf@xung.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Guilyardi <ylf@xung.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: scanf's manpage is wrong about the p flag
Date: Tue, 03 Aug 2004 02:51:16 +0200
Package: manpages-dev
Version: 1.67-2
Severity: normal

Hi,

The scanf manpage states : 
    p  Matches a pointer value (as printed by `%p' in printf(3); 
       the next pointer must be a pointer to void.

<aSmallTest>
    #include <stdio.h>

    int 
    main()
    {
      void *p;
      scanf ("%p", p); 
      void **q;
      scanf ("%p", q);
      return 0;
    }
</aSmallTest>

$ gcc -Wall asmalltest.c
asmalltest.c: In function `main':
asmalltest.c:7: warning: format argument is not a pointer to a pointer (arg 2)

Given the above, I believe the manpage should state "a pointer to a
pointer to void", in a similar way to the 'd' flag which is said to 
require a "pointer to int".

This issue also affects the unstable 1.67-2 version.

Cheers

--
  og


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.25
Locale: LANG=C, LC_CTYPE=C (ignored: LC_ALL set to C)

Versions of packages manpages-dev depends on:
ii  manpages                      1.66-1     Manual pages about using a GNU/Lin

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263109; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 263109@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 263109@bugs.debian.org
Subject: scanf manpage is ageing badly
Date: Thu, 2 Sep 2004 20:47:03 +0930
Hi,

It looks like this manpage is quite seriously out of date now,
at least by cross reference to susv3.  L, ll and. z modifiers
were the first to catch my eye, above and beyond the issues
raised by the original report.

I'm not sure what options are open here though.  Does anyone
know of a good (suitably) free replacement, or do we need
someone to craft a patch ?

best,
Ron





Tags added: help Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263109; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at 263109@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 263109@bugs.debian.org
Subject: Re: #263109 scanf's manpage is wrong about the p flag
Date: Fri, 17 Jun 2005 15:03:37 +0200 (MEST)
I agree with Olivier.  Fixed in man-pages-2.04.

Please close this.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

Please submit non-trivial man page suggestions as 
"diff -u" patches.

Weitersagen: GMX DSL-Flatrates mit Tempo-Garantie!
Ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Tags added: fixed-upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Olivier Guilyardi <ylf@xung.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 263109-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 263109-close@bugs.debian.org
Subject: Bug#263109: fixed in manpages 2.04-1
Date: Sat, 12 Nov 2005 22:17:17 -0800
Source: manpages
Source-Version: 2.04-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.04-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.04-1_all.deb
manpages_2.04-1.diff.gz
  to pool/main/m/manpages/manpages_2.04-1.diff.gz
manpages_2.04-1.dsc
  to pool/main/m/manpages/manpages_2.04-1.dsc
manpages_2.04-1_all.deb
  to pool/main/m/manpages/manpages_2.04-1_all.deb
manpages_2.04.orig.tar.gz
  to pool/main/m/manpages/manpages_2.04.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 263109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Nov 2005 06:55:01 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.04-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 194842 239424 263109 290880 296183 308359 309578 311680 311800 313607
Changes: 
 manpages (2.04-1) unstable; urgency=low
 .
   * New upstream version
     - Includes updates nice(5) page (Closes: Bug#296183)
     - Fix description of return value in getopt(3) (Closes: Bug#308359)
     - Corrected example in hsearch(3) (Closes: Bug#313607)
     - Added reference to log1p(3) (Closes: Bug#309578)
     - Fix return value for makecontext(3) (Closes: Bug#311800)
     - Fix example in rand(3) (Closes: Bug#194842)
     - Corrections to realpath(3) (Closes: Bug#239424)
     - Corrected header in rcmd(3) (Closes: Bug#311680)
     - Corrected %p type in scanf(3) (Closes: Bug#263109)
     - Corrected info for standard filedes in stdin(3) (Close: Bug#295859)
     - Added missing header to strerror(3) (Closes: Bug#290880)
Files: 
 cb010283c01f88d5984f94ff6fdce46a 584 doc - manpages_2.04-1.dsc
 86619809c53b5d8c6c6c82cb0aa8c4c8 1029542 doc - manpages_2.04.orig.tar.gz
 e31dc334b17d1b981142855dbd46a1a1 45665 doc - manpages_2.04-1.diff.gz
 633a73a4097ca44b14a12b79fa1f0207 398780 doc important manpages_2.04-1_all.deb
 988ac1a7816ccf2b4ed04b0642930179 1089660 doc standard manpages-dev_2.04-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDdtYhW5ql+IAeqTIRAqOrAJ0ZJ537W1mAr/f1IGzGJHL/gvtuugCgjBr3
nVUGOdt9aYxS7SLpUjZB0ig=
=vNLk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 13:09:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:31:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.